# PURLLoader Class Reference

`#include <url.h>`

Inheritance diagram for PURLLoader:

List of all members.

## Public Member Functions

virtual bool | Load (const PURL &url, PString &str, const PString &requiredContentType)=0
virtual bool | Load (const PURL &url, PBYTEArray &data, const PString &requiredContentType)=0

## Member Function Documentation

virtual bool PURLLoader::Load | ( | const PURL & | url,
|  | PBYTEArray & | data,
|  | const PString & | requiredContentType |
| ) |  |  | `[pure virtual]`

virtual bool PURLLoader::Load | ( | const PURL & | url,
|  | PString & | str,
|  | const PString & | requiredContentType |
| ) |  |  | `[pure virtual]`

The documentation for this class was generated from the following file:

- url.h